Package org.opensaml.saml.saml2.binding.decoding.impl

# Class SimpleSignatureContext

java.lang.Object
org.opensaml.messaging.context.BaseContext
org.opensaml.saml.saml2.binding.decoding.impl.SimpleSignatureContext

All Implemented Interfaces:
  `Iterable<BaseContext>`

public class SimpleSignatureContext extends BaseContext
Context implementation holding data related to SAML 2 "simple signature" evaluation.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.opensaml.messaging.context.BaseContext

`BaseContext.ContextSetNoRemoveIteratorDecorator, BaseContext.DeprecatedContextClassNameLookAside`

## Field Summary

Fields
Modifier and Type
Field
Description
`private byte[]`
`signedContent`
The signed content over which signature evaluation will be performed.

## Constructor Summary

Constructors
Constructor
Description
`SimpleSignatureContext()`

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`getSignedContent()`
Get the signed content over which signature evaluation will be performed.
`void`
`setSignedContent(byte[] content)`
Set the signed content over which signature evaluation will be performed.

### Methods inherited from class org.opensaml.messaging.context.BaseContext

`addSubcontext, addSubcontext, clearSubcontexts, containsSubcontext, createSubcontext, ensureSubcontext, ensureSubcontext, getParent, getSubcontext, getSubcontext, getSubcontext, getSubcontext, iterator, removeFromParent, removeSubcontext, removeSubcontext, setParent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Field Details

### signedContent

@Nullable private byte[] signedContent
The signed content over which signature evaluation will be performed.

## Constructor Details

### SimpleSignatureContext

public SimpleSignatureContext()

## Method Details

### getSignedContent

@Nullable public byte[] getSignedContent()
Get the signed content over which signature evaluation will be performed.

Returns:
  the signed content

### setSignedContent

public void setSignedContent(@Nullable byte[] content)
Set the signed content over which signature evaluation will be performed.

Parameters:
  `content` - the signed content